from django.contrib.auth.decorators import login_required
from django.http import JsonResponse

from web.models import MissingSubject


@login_required
def ignore_missing_subject(request, missing_subject_id):
    missing_subjects = MissingSubject.objects.filter(id=missing_subject_id)
    for missing_subject in missing_subjects:
        missing_subject.ignore = True
        missing_subject.save()
    return JsonResponse({
        "status": "ok"
    })


@login_required
def unignore_missing_subject(request, missing_subject_id):
    missing_subjects = MissingSubject.objects.filter(id=missing_subject_id)
    for missing_subject in missing_subjects:
        missing_subject.ignore = False
        missing_subject.save()
    return JsonResponse({
        "status": "ok"
    })
