# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-12-01 15:21
from __future__ import unicode_literals

import django
from django.db import migrations, models


# noinspection PyUnusedLocal
# noinspection PyPep8Naming
def create_default_subject_columns(apps, schema_editor):
    # We can't import the Study model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    SubjectColumns = apps.get_model("web", "SubjectColumns")
    subject_columns = SubjectColumns.objects.create()
    subject_columns.save()


class Migration(migrations.Migration):

    dependencies = [
        ('web', '0076_studysubjectlist'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubjectColumns',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sex', models.BooleanField(default=False, max_length=1, verbose_name=b'Sex')),
                ('first_name', models.BooleanField(default=True, max_length=1, verbose_name=b'First name')),
                ('last_name', models.BooleanField(default=True, max_length=1, verbose_name=b'Last name')),
                ('languages', models.BooleanField(default=False, max_length=1, verbose_name=b'Known languages')),
                ('default_written_communication_language', models.BooleanField(default=False, max_length=1, verbose_name=b'Default language for document generation')),
                ('phone_number', models.BooleanField(default=False, max_length=1, verbose_name=b'Phone number')),
                ('phone_number_2', models.BooleanField(default=False, max_length=1, verbose_name=b'Phone number 2')),
                ('phone_number_3', models.BooleanField(default=False, max_length=1, verbose_name=b'Phone number 3')),
                ('email', models.BooleanField(default=False, max_length=1, verbose_name=b'E-mail')),
                ('date_born', models.BooleanField(default=False, max_length=1, verbose_name=b'Date of birth')),
                ('address', models.BooleanField(default=False, max_length=1, verbose_name=b'Address')),
                ('postal_code', models.BooleanField(default=False, max_length=1, verbose_name=b'Postal code')),
                ('city', models.BooleanField(default=False, max_length=1, verbose_name=b'City')),
                ('country', models.BooleanField(default=False, max_length=1, verbose_name=b'Country')),
                ('dead', models.BooleanField(default=True, max_length=1, verbose_name=b'Deceased')),
            ],
        ),
        migrations.RunPython(create_default_subject_columns),
        migrations.RenameField(
            model_name='studysubjectlist',
            old_name='visible_columns',
            new_name='visible_subject_study_columns',
        ),
        migrations.AddField(
            model_name='studysubjectlist',
            name='visible_subject_columns',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='web.SubjectColumns'),
            preserve_default=False,
        ),
    ]
