# coding=utf-8
from django.db import models

from web.models.constants import BOOL_CHOICES


class StudyColumns(models.Model):
    class Meta:
        app_label = 'web'

    postponed = models.BooleanField(choices=BOOL_CHOICES,
                                    verbose_name='Postponed',
                                    default=True
                                    )

    datetime_contact_reminder = models.BooleanField(choices=BOOL_CHOICES,
                                                    default=True,
                                                    verbose_name='Please make a contact on'
                                                    )
    type = models.BooleanField(choices=BOOL_CHOICES,
                               default=True,
                               verbose_name='Type'
                               )

    default_location = models.BooleanField(choices=BOOL_CHOICES,
                                           default=True,
                                           verbose_name='Default appointment location',
                                           )

    flying_team = models.BooleanField(choices=BOOL_CHOICES,
                                      default=True,
                                      verbose_name='Default flying team location (if applicable)',
                                      )

    screening_number = models.BooleanField(choices=BOOL_CHOICES,
                                           default=True,
                                           verbose_name='Screening number',
                                           )
    nd_number = models.BooleanField(choices=BOOL_CHOICES,
                                    default=True,
                                    verbose_name='ND number',
                                    )
    mpower_id = models.BooleanField(choices=BOOL_CHOICES,
                                    default=True,
                                    verbose_name='MPower ID'
                                    )
    comments = models.BooleanField(choices=BOOL_CHOICES,
                                   default=True,
                                   verbose_name='Comments'
                                   )
    referral = models.BooleanField(choices=BOOL_CHOICES,
                                   default=True,
                                   verbose_name='Referred by'
                                   )
    diagnosis = models.BooleanField(choices=BOOL_CHOICES,
                                    default=True,
                                    verbose_name='Diagnosis'
                                    )
    year_of_diagnosis = models.BooleanField(choices=BOOL_CHOICES,
                                            default=True,
                                            verbose_name='Year of diagnosis (YYYY)'
                                            )

    information_sent = models.BooleanField(choices=BOOL_CHOICES,
                                           default=True,
                                           verbose_name='Information sent',
                                           )
    pd_in_family = models.BooleanField(choices=BOOL_CHOICES,
                                       default=True,
                                       verbose_name='PD in family',
                                       )
    resigned = models.BooleanField(choices=BOOL_CHOICES,
                                   default=True,
                                   verbose_name='Resigned',
                                   )
    resign_reason = models.BooleanField(choices=BOOL_CHOICES,
                                        default=True,
                                        verbose_name='Resign reason'
                                        )

    datetime_contact_reminder = models.BooleanField(choices=BOOL_CHOICES,
                                                    default=True,
                                                    verbose_name='Last contact attempt'
                                                    )
