from django.test import TestCase

from web.models import Appointment
from web.models import Visit
from web.tests.functions import create_study_subject, create_appointment
from web.tests.functions import create_visit


class SubjectModelTests(TestCase):
    def test_mark_as_resigned(self):
        subject = create_study_subject()
        visit = create_visit(subject)
        appointment = create_appointment(visit)

        subject.mark_as_resigned()
        appointment_status = Appointment.objects.filter(id=appointment.id)[0].status
        visit_finished = Visit.objects.filter(id=visit.id)[0].is_finished

        self.assertTrue(subject.resigned)
        self.assertTrue(visit_finished)
        self.assertEquals(Appointment.APPOINTMENT_STATUS_CANCELLED, appointment_status)
